#ifndef __GRAPHWIN_H_
#define __GRAPHWIN_H_

#include <string>
#include <vector>

#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include <FL/fl_draw.H>
#include <FL/Enumerations.H>

using namespace std;

typedef enum GraphType {GRAPH_BAR,GRAPH_LINE};

typedef struct XYPoint 
{
  XYPoint(float fx,float fy) {x=fx; y=fy;}
  float x,y;
};
class Curve
{
public:
  Curve::Curve(){nDrawType = GRAPH_LINE; nStyle = FL_SOLID; r=g=b=255;}
  vector<XYPoint> dataPoints;
  uchar r,g,b; //0-255
  string strName;
  int nStyle;
  GraphType nDrawType;
};
//Curve::Curve(string name=""){ strName = name;}

typedef Curve* CurveRef;
typedef vector<CurveRef>::iterator CurveIter;
typedef vector<XYPoint>::iterator PtIter;

class GraphWindow : public Fl_Double_Window
{
public:
  void draw();
  GraphWindow(int X, int Y, int W, int H, const char *l=0);
  vector<CurveRef> curves;
//  vector<PointRef> DataPoints;
  //vector<PointRef>::iterator DPit;
  //vector<int> DataPoints;
  int GraphWidth,GraphHeight;
  //  PointContainer DataPoints;
  int nAxisX,nAxisY;
  int nTicksX,nTicksY;
  float xmax,xmin,ymax,ymin;
};

#endif
